<template>
  <Button
    icon="fa fa-refresh"
    severity="warn"
    v-tooltip.top="'Сбросить кеш модуля'"
    :loading="isLoading"
    @click="resetCache"
  />
</template>

<script setup>
import {Button, useToast} from "primevue";
import {ref} from "vue";
import {apiPost} from "@/utils/http.js";

const isLoading = ref(false);
const toast = useToast();

async function resetCache() {
  isLoading.value = true;

  const response = await apiPost('resetCache');
  if (response.success) {
    toast.add({
      severity: 'success',
      summary: 'Выполнено',
      detail: 'Кеш модуля сброшен.',
      life: 3000
    });
  } else {
    toast.add({
      severity: 'error',
      summary: 'Ошибка',
      detail: 'Ошибка при сбросе кеша.',
      life: 3000
    });
  }
  isLoading.value = false;
}
</script>
